Bug 1944509 - Translatable texts without context in ssh expose component
Summary: Translatable texts without context in ssh expose component
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Yaacov Zamir
QA Contact: Guohua Ouyang
URL:
Whiteboard:
: 1944681 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-30 05:41 UTC by Yaacov Zamir
Modified: 2021-07-27 22:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:56:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8508 0 None open Bug 1944509: Add context to translation strings 2021-03-30 06:18:13 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:56:50 UTC

Description Yaacov Zamir 2021-03-30 05:41:42 UTC
Description of problem:
https://github.com/openshift/console/blob/0fd309e7fbbd4f0b78abe76de91a23c8c8b4b00f/frontend/packages/kubevirt-plugin/src/components/ssh-service/SSHCreateService/SSHCreateService.tsx#L35-L47

We have one context separated to several translatable texts, this makes it hard for the translating team to know how to correctly translate each text fragment. and may in some languages cause the text to be un translatable if order of sentance chage, e.g. if some langauge use "<vm name> for ssh" instead of "ssh for <vm name>"

Fix is to use "Trans"  component

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 ralpert 2021-04-05 15:56:58 UTC
*** Bug 1944681 has been marked as a duplicate of this bug. ***

Comment 5 errata-xmlrpc 2021-07-27 22:56:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.